<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Basic Vector Space Functions</TITLE>
<link href="suifmath_29.html" rel=Next>
<link href="suifmath_27.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_27.html">previous</A>, <A HREF="suifmath_29.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC32" HREF="suifmath_toc.html#TOC32">Basic Vector Space Functions</A></H3>

<P>
<A NAME="IDX491"></A>
A <CODE>vector_space</CODE> object can be constructed from a
<CODE>fract_vector_list</CODE> representing a list of basis vectors, or a
<CODE>matrix</CODE>.  A constructor is also available to create an empty
<CODE>vector_space</CODE> -- the only argument it needs is the space dimension
of the vector space.

</P>
<P>
<A NAME="IDX492"></A>
<A NAME="IDX493"></A>
<A NAME="IDX494"></A>
<A NAME="IDX495"></A>
<A NAME="IDX496"></A>
<A NAME="IDX497"></A>
<A NAME="IDX498"></A>
The method <CODE>basis</CODE> returns the <CODE>fract_vector_list</CODE> of basis
vectors that span the vector space.  The method <CODE>get_matrix</CODE>
returns the <CODE>matrix</CODE> whose columns form the basis that spans the
vector space.  The method <CODE>space_dimension</CODE> returns the space of
vector space.  The related method <CODE>dimensionality</CODE> returns the
current number of basis vectors.  This corresponds to the number of
dimensions spanned by the vector space.  Equality, inequality and
assignment operators are also provided for vector spaces.

</P>
<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_27.html">previous</A>, <A HREF="suifmath_29.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
